com.sun.grid.jgdi.monitoring

## Class QHostOptions

- java.lang.Object
- - com.sun.grid.jgdi.monitoring.QHostOptions

- All Implemented Interfaces:
    java.io.Serializable

      public class QHostOptions
      extends java.lang.Object
      implements java.io.Serializable

  Options for the qhost algorithm
  See Also:
    Serialized Form
  TODO:
    beta ??

    Add javadoc comments

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QHostOptions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HostFilter` | `getHostFilter()` Get the host filter.
    `ResourceAttributeFilter` | `getResourceAttributeFilter()` Get the resource attribute filter.
    `ResourceFilter` | `getResourceFilter()` Get the resource filter
    `UserFilter` | `getUserFilter()` Get the user filter.
    `boolean` | `includeJobs()` Determine if job info should be included into the `QHostResult`
    `boolean` | `includeQueue()` Determine of the queue values should be included.
    `void` | `setHostFilter(HostFilter hostFilter)` Set the host filter.
    `void` | `setIncludeJobs(boolean includeJobs)` Set the include jobs flag
    `void` | `setIncludeQueue(boolean includeQueue)` Set the include queue flag
    `void` | `setResourceAttributeFilter(ResourceAttributeFilter resourceAttributeFilter)` Set the resource attribute filter
    `void` | `setResourceFilter(ResourceFilter resourceFilter)` Set the resource filter.
    `void` | `setShowAsXML(boolean showAsXML)` Set the showAsXML flag
    `void` | `setUserFilter(UserFilter userFilter)` Set the user filter
    `boolean` | `showAsXML()` Determine if to show the result as an xml

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QHostOptions

          public QHostOptions()

  - ### Method Detail

    - #### includeJobs

          public boolean includeJobs()

      Determine if job info should be included into the `QHostResult`
      See Also:
        `QHostResult.getHostInfo(java.lang.String)`, `HostInfo.getJobList()`

    - #### setIncludeJobs

          public void setIncludeJobs(boolean includeJobs)

      Set the include jobs flag
      Parameters:
        `includeJobs` - the include jobs flag

    - #### includeQueue

          public boolean includeQueue()

      Determine of the queue values should be included.

      The CLI equivialent for this options is `qhost -q`

      Returns:
        `true` of queue values should be included

    - #### setIncludeQueue

          public void setIncludeQueue(boolean includeQueue)

      Set the include queue flag
      Parameters:
        `includeQueue` - the include queue flag

    - #### showAsXML

          public boolean showAsXML()

      Determine if to show the result as an xml

      The CLI equivialent for this options is `qhost -xml`

      Returns:
        boolean

    - #### setShowAsXML

          public void setShowAsXML(boolean showAsXML)

      Set the showAsXML flag
      Parameters:
        `showAsXML` - the flag

    - #### getHostFilter

          public HostFilter getHostFilter()

      Get the host filter.

      The CLI equivalent of the host filter is `qhost -h` (see man qhost(1)).

      Returns:
        the host filter

    - #### setHostFilter

          public void setHostFilter(HostFilter hostFilter)

      Set the host filter.
      Parameters:
        `hostFilter` - the host filter

    - #### getUserFilter

          public UserFilter getUserFilter()

      Get the user filter.

      The CLI equivialent of the user filter is `qhost -u` (see man qhost(1))

      Returns:
        the user filter

    - #### setUserFilter

          public void setUserFilter(UserFilter userFilter)

      Set the user filter
      Parameters:
        `userFilter` - the user filter

    - #### getResourceFilter

          public ResourceFilter getResourceFilter()

      Get the resource filter

      The CLI equivialent for the resource filter is `qhost -l` (see man qhost(1))

      Returns:
        the resource filter

    - #### setResourceFilter

          public void setResourceFilter(ResourceFilter resourceFilter)

      Set the resource filter.
      Parameters:
        `resourceFilter` - the resource filter

    - #### getResourceAttributeFilter

          public ResourceAttributeFilter getResourceAttributeFilter()

      Get the resource attribute filter.

      The CLI equivialent of the resource attribute filter is `qhost -F` (see man qhost(1)).

      Returns:
        the resource attribute filter

    - #### setResourceAttributeFilter

          public void setResourceAttributeFilter(ResourceAttributeFilter resourceAttributeFilter)

      Set the resource attribute filter
      Parameters:
        `resourceAttributeFilter` - the resource attribute filter

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.